Bug 489592 - leafnode could download news more frequently
leafnode could download news more frequently
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: leafnode (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 15:59 EDT by Ritesh Raj Sarraf
Modified: 2009-09-24 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 14:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
leafnode sysconfig file (58 bytes, text/plain)
2009-03-10 15:59 EDT, Ritesh Raj Sarraf
no flags Details
leafnode cron job (970 bytes, application/x-shellscript)
2009-03-10 16:00 EDT, Ritesh Raj Sarraf
no flags Details
leafnode cron job (156 bytes, application/x-shellscript)
2009-03-10 16:04 EDT, Ritesh Raj Sarraf
no flags Details

  None (edit)
Description Ritesh Raj Sarraf 2009-03-10 15:59:36 EDT
Created attachment 334705 [details]
leafnode sysconfig file

Many of Fedora users access Mailing Lists through an NNTP interface like Gmane. leafnode is a good offline news reader where it can fetch news from a news server.

Make leafnode more customized so that it can fetch news much more frequently. Especially for laptop/desktop users, who don't have their machine always online.

A cron job to fetch new news frequently would be good to provide.


Version-Release number of selected component (if applicable):
(fedora)root@champaran:/etc/cron.daily# rpm -qa | grep leafnode
leafnode-1.11.6-4.fc10.i386
Comment 1 Ritesh Raj Sarraf 2009-03-10 16:00:36 EDT
Created attachment 334706 [details]
leafnode cron job
Comment 2 Ritesh Raj Sarraf 2009-03-10 16:04:19 EDT
Created attachment 334707 [details]
leafnode cron job

Sorry. The wrong file got uploaded
Comment 3 Kevin Fenzi 2009-03-24 15:59:30 EDT
Well, it's pretty easy to setup a cron job to run 'fetchnews' as often as you like. 

I agree though that we could make a example cron that runs hourly or something so folks have something to modify. Will take a look at adding something like that. 

Thanks for the report.
Comment 4 Kevin Fenzi 2009-06-06 01:11:36 EDT
Sorry for the long delay here. 

I have added a /etc/cron.d/leafnode file, which by default is all commented out. 
Users can then just comment the command in and get a fetchnews every hour, or 
modify it to however often they like. 

Does that seem ok for you? 
I have checked in this change for rawhide. Would you like an update for F11 and/or F10 with this addition? Or do you think it's ok to go out with F12?
Comment 5 Bug Zapper 2009-06-09 08:06:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kevin Fenzi 2009-09-24 14:08:10 EDT
Closing this now. Feel free to re-open or file a new bug if you spot anything further.

Note You need to log in before you can comment on or make changes to this bug.